## globals

globals - interface for all global variables of the library

Deprecated, don't use

Author(s):

## Synopsis

    typedef struct _xmlGlobalState xmlGlobalState;
    typedef xmlGlobalState * xmlGlobalStatePtr;
    xmlGlobalStatePtr	xmlGetGlobalState	(void);
    void	xmlInitializeGlobalState	(xmlGlobalStatePtr gs);

## Description

## Details

### Structure xmlGlobalState

    struct _xmlGlobalState {
    The content of this structure is not made public by the API.
    } xmlGlobalState;

### Typedef xmlGlobalStatePtr

    xmlGlobalState * xmlGlobalStatePtr;

### xmlGetGlobalState ()

    xmlGlobalStatePtr	xmlGetGlobalState	(void)

DEPRECATED

`Returns`: | NULL.

### xmlInitializeGlobalState ()

    void	xmlInitializeGlobalState	(xmlGlobalStatePtr gs)

DEPRECATED: No-op.

`gs`: | a pointer to a newly allocated global state